# exclude broken requires from template script
%global __requires_exclude_from %{perl_vendorlib}/HTML/FormHandler/Generator/DBIC.pm
%define upstream_name    HTML-FormHandler-Model-DBIC
%define upstream_version 0.29

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Generate form classes from DBIC schema
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBIx::Class) >= 0.82.500
BuildRequires: perl(DBIx::Class::ResultSet::RecursiveUpdate) >= 0.250.0
BuildRequires: perl(DateTime::Format::MySQL)
BuildRequires: perl(DateTime::Format::SQLite)
BuildRequires: perl(DateTime::Format::W3CDTF)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(HTML::FormHandler) >= 0.400.160
BuildRequires: perl(Moose) >= 2.0.700
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(namespace::autoclean) >= 0.90.0
BuildArch:  noarch

%description
Catalyst based application.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE TODO
%{_bindir}/form_generator.pl
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/form_generator.pl


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.290.0-8pclos2017
- rebuild against updates

